%define anolis_release 1
%global pypi_name xyzservices
%global pypi_version 2023.10.1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Source of XYZ tiles providers

License:        BSD
URL:            https://github.com/geopandas/xyzservices
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

%description
xyzservices is a lightweight library providing a repository of available XYZ 
services offering raster basemap tiles. The repository is provided via Python API 
and as a compressed JSON file.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
xyzservices is a lightweight library providing a repository of available XYZ 
services offering raster basemap tiles. The repository is provided via Python API 
and as a compressed JSON file.

%package -n python-%{pypi_name}-doc
Summary:        xyzservices documentation
%description -n python-%{pypi_name}-doc
Documentation for xyzservices

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info
%{_datadir}/xyzservices/providers.json

%changelog
* Tue Jan 30 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 2023.10.1-1
- Initial package.
